### File

`packages/components/layout/eui-app-v2/eui-app-toolbar/eui-app-toolbar-navbar.ts`

### Implements

`AfterContentInit` `AfterViewInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `eui-app-toolbar-navbar`
imports | `AsyncPipe` `EUI_ICON` `EUI_BUTTON` `EUI_DROPDOWN`
templateUrl | `./eui-app-toolbar-navbar.html`
styleUrl | `./eui-app-toolbar-navbar.scss`

### Index

###### Properties
asService Public baseItemSelected class Public isDropdownView items
###### Methods
Public itemSelected
###### Outputs
itemClick
###### HostBindings
class

### Outputs

itemClick
Type : `EventEmitter<string>`

### HostBindings

class
Type : `string`
Default value : `'eui-app-toolbar-navbar'`

### Methods

Public itemSelected
`itemSelected(id: string)`
Parameters :
Name | Type | Optional
id | `string` | No
Returns : `void`

### Properties

asService
Type : `unknown`
Default value : `inject(EuiAppShellService)`

Public baseItemSelected
Type : `EuiAppToolbarNavbarItem`

class
Type : `string`
Default value : `'eui-app-toolbar-navbar'`
Decorators : `@HostBinding()`

Public isDropdownView
Type : `unknown`
Default value : `false`

items
Type : `QueryList<EuiAppToolbarNavbarItem>`
Decorators : `@ContentChildren(undefined)`

# results matching ""

# No results matching ""